<template>
    <div id="my-modal" class="modal" v-show="open">
      <div class="modal-content">
        <div class="modal-header">
          <span class="close" @click="close">&times;</span>
          <h2>{{  title }}</h2>
        </div>
        <div class="modal-body">
          <img class="modal-image" :src="newsImage" alt="Avatar">
          <p class="modal-author">By:{{author}}</p>
          <p>{{ content }}</p>
          <p class="modal-published">Published:{{publishedAt}}</p>
        </div>
      </div>
    </div>
</template>

<script>
import moment from 'moment'
export default {
 props: {
    open: Boolean,
    news: Object
 },
 methods: {
     close() {
         this.$emit('close')
     }
 },
 computed: {
     title() {
         if(this.news) {
             return this.news.title
         } else {
             return ''
         }
     },
     content() {
         if(this.news) {
             return this.news.content
         } else {
             return ''
         }
     },
     author() {
         if(this.news) {
             return this.news.author
         } else {
             return ''
         }
     },
     newsImage() {
         if(this.news) {
             return this.news.urlToImage
         } else {
             return ''
         }
     },
     publishedAt() {
        if(this.news) {
            let date = this.news.publishedAt
            return moment(date).format("YYYY[/]M[/]D"); 
        } else {
            return ''
        }
     }
 },
}
</script>

<style scoped>
.modal-author, .modal-published {
    font-size: 15px;
    color: gray;
}
</style>